# 前端技术业务要点难点

## 太和互联网医院医生端小程序

- 由于后端接口都是以 jwt 鉴权，所以调用接口需要请求头传入 Authorization Bearer token，因此，在 webview h5 页面中需要通过地址传入一个 token，以调用所用的接口。 这个 token 可以通过全局状态中取得，名叫 officialToken；

- qa 和 prod 打包，都使用相同命令。需要手动修改 src/config/prod.js 配置。

## 医生端公众号

- 通过 package.json 中不同 environment，可以很方便的切换到不同的环境和平台；

- 医生端小程序内嵌 H5 项目，需要 checkout 分支 weapp，可以使用 yarn run start/build:qa/build 进行对应操作；

- 发布正式版本，一般都使用 prod_umi_v3 分支，把其他测试通过的分支合并在此分支再发布；

## 南方医务通公众号/太和公众号

- ui_module_components 属于 git submodule 模块，可以使用 git submodule update --init --remote 获取最新代码。可以修改.gitmodules 相关的配置；（PS：编译前先获取 git submodule 中的代码）

- ui_module_components 抽取南方医务通公众号和太和分院公众号中的共有业务页面，以便开发效率提升。

## Q&A
